# Fe BootStrap Vue UI Library

使用 Bootstrap-Vue 框架開發的 UI Library，簡化了許多的 data 設定和 template 的壓縮，免去一些邏輯的設計，快速開發你的網站。

## Get started

請參考: [Fe BootStrap Vue Demo](https://igold.gitlab.io/vue-bootstrap-admin)

## Use plugin version
- [BootstrapVue](https://bootstrap-vue.org/): v2.15.0
- [Bootstrap](https://getbootstrap.com/docs/4.6/getting-started/introduction/): v4.5.0
- Vue: v2.6.11

## How To Install

```shell
## With npm
$ npm i @igold/fe-bootstrap-vue

## With yarn
$ yarn add @igold/fe-bootstrap-vue
```

### Register FeBootstrapVue in your app
```javascript
import Vue from "vue";

import { FeBootstrapVue } from "@igold/fe-bootstrap-vue";
import "@igold/fe-bootstrap-vue/dist/fe-bootstrap-vue.css";

Vue.use(FeBootstrapVue)
```

### Individual components and directives

```javascript
import { FeButton, FeRow, FeCol } from "@igold/fe-bootstrap-vue";
```
Then add it to your component definition:
```javascript
Vue.component('MyComponent', {
  components: { FeButton, FeRow, FeCol }
})
```
Or Register them globally:
```javascript
// app.js
import Vue from "vue";
import { FeButton, FeRow, FeCol } from "@igold/fe-bootstrap-vue";

Vue.component('FeButton', FeButton);
Vue.component('FeRow', FeRow);
Vue.component('FeCol', FeCol);
```

> Designed by __Aken Hu__ and __Tony Lin__
>
> SPEC: [Coda](https://coda.io/d/Bootstrap-Vue-Admin_dpj0CgX7r8w/_sucJ_#_luez5)
